Bug 656583 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Please Update Spec File to use %ghost on files in /var/run and /var/lock
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ez-ipupdate (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Boström
Fedora Extras Quality Assurance
http://lists.fedoraproject.org/piperm...
:
Depends On:
Blocks: 827166
  Show dependency treegraph
 
Reported: 2010-11-23 18:28 EST by Lennart Poettering
Modified: 2013-12-24 21:38 EST (History)
2 users (show)

See Also:
Fixed In Version: ez-ipupdate-3.0.11-0.29.b8.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-24 21:38:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2010-11-23 18:28:57 EST
Your package ez-ipupdate appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart
Comment 1 Fedora End Of Life 2013-04-03 14:15:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora Update System 2013-12-14 15:13:27 EST
ez-ipupdate-3.0.11-0.29.b8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ez-ipupdate-3.0.11-0.29.b8.fc20
Comment 3 Fedora Update System 2013-12-14 15:14:59 EST
ez-ipupdate-3.0.11-0.29.b8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ez-ipupdate-3.0.11-0.29.b8.fc19
Comment 4 Fedora Update System 2013-12-14 15:16:19 EST
ez-ipupdate-3.0.11-0.29.b8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ez-ipupdate-3.0.11-0.29.b8.fc18
Comment 5 Fedora Update System 2013-12-16 17:58:56 EST
Package ez-ipupdate-3.0.11-0.29.b8.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ez-ipupdate-3.0.11-0.29.b8.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23463/ez-ipupdate-3.0.11-0.29.b8.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-12-23 22:38:18 EST
ez-ipupdate-3.0.11-0.29.b8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-12-24 21:33:26 EST
ez-ipupdate-3.0.11-0.29.b8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-12-24 21:38:37 EST
ez-ipupdate-3.0.11-0.29.b8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.